Subject: bug#68762: 30.0.50; thing-at-point for an e-mail adress stops at "."

From: Titus Müller <[email-masked]>
Date: Sat, 27 Jan 2024 21:42:26 +0100

Thank you so much.

It only happens when point is on the part after the "." character in [email-masked]. If point is on "my", all of the mail address is received by thing-at-point. (And [email-masked] is no problem at all, so it only concerns "." characters before the @ symbol.)

If I can be of any help, do a test or something else, please tell me. I'm no programmer though, regrettably.

Thank you for all your wonderful emacs-work!

Titus

----- Ursprüngliche Nachricht vom 27.01.2024 -----
>> From: Titus Müller <[email-masked]>
>> Date: Sat, 27 Jan 2024 14:25:08 +0100
>> 
>> 
>> When I use (thing-at-point 'email) and point is on an e-mail adress
>> like [email-masked], thing-at-point only gets [email-masked]
>> and loses the first part before the "." character. This happens
>> after I upgraded from 29.1 to emacs 30.0.50.
>
> Philip, is this because of the changes in commit ff20898dad?
>
> Could you please look into this?